Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class AbstractBreaker.BlockSequence

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.apache.fop.layoutmgr.KnuthSequence
                      org.apache.fop.layoutmgr.BlockKnuthSequence
                          org.apache.fop.layoutmgr.AbstractBreaker.BlockSequence

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

Enclosing class:
  AbstractBreaker

public class AbstractBreaker.BlockSequence
extends BlockKnuthSequence

Helper class, extending the functionality of the basic `BlockKnuthSequence`.

See Also:
  Serialized Form

Field Summary
`int` | `ignoreAtEnd` Number of elements to ignore at the end of the list.
`int` | `ignoreAtStart` Number of elements to ignore at the beginning of the list.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`AbstractBreaker.BlockSequence(int startOn, int displayAlign)` Creates a new BlockSequence.

Method Summary
`AbstractBreaker.BlockSequence` | `endBlockSequence(Position breakPosition)` Finalizes a this `BlockSequence`, adding a terminating penalty-glue-penalty sequence
`KnuthSequence` | `endSequence()` Finalizes a Knuth sequence.
`KnuthSequence` | `endSequence(Position breakPosition)` Finalizes a Knuth sequence.
`int` | `getDisplayAlign()`
`int` | `getStartOn()`

Methods inherited from class org.apache.fop.layoutmgr.BlockKnuthSequence
`appendSequence, appendSequence, canAppendSequence, isInlineSequence`

Methods inherited from class org.apache.fop.layoutmgr.KnuthSequence
`appendSequenceOrClose, appendSequenceOrClose, getElement, getFirstBoxIndex, getFirstBoxIndex, getLast, removeLast, startSequence, toString, wrapPositions`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Field Detail

### ignoreAtStart

    public int ignoreAtStart

  Number of elements to ignore at the beginning of the list.

### ignoreAtEnd

    public int ignoreAtEnd

  Number of elements to ignore at the end of the list.

Constructor Detail

### AbstractBreaker.BlockSequence

    public AbstractBreaker.BlockSequence(int startOn,
                                         int displayAlign)

  Creates a new BlockSequence.

Parameters:
  `startOn` - the kind of page the sequence should start on. One of `Constants.EN_ANY`, `Constants.EN_COLUMN`, `Constants.EN_ODD_PAGE`, or `Constants.EN_EVEN_PAGE`.
  `displayAlign` - the value for the display-align property

Method Detail

### getStartOn

    public int getStartOn()

  Returns:
    the kind of page the sequence should start on. One of `Constants.EN_ANY`, `Constants.EN_COLUMN`, `Constants.EN_ODD_PAGE`, or `Constants.EN_EVEN_PAGE`.

### getDisplayAlign

    public int getDisplayAlign()

  Returns:
    the value for the display-align property

### endSequence

    public KnuthSequence endSequence()

  Finalizes a Knuth sequence.

  Overrides:
    `endSequence` in class `BlockKnuthSequence`
  Returns:
    a finalized sequence.

### endSequence

    public KnuthSequence endSequence(Position breakPosition)

  Finalizes a Knuth sequence.

  Parameters:
    `breakPosition` - a Position instance for the last penalty (may be null)
  Returns:
    a finalized sequence.

### endBlockSequence

    public AbstractBreaker.BlockSequence endBlockSequence(Position breakPosition)

  Finalizes a this `BlockSequence`, adding a terminating penalty-glue-penalty sequence

  Parameters:
    `breakPosition` - a Position instance pointing to the last penalty
  Returns:
    the finalized `BlockSequence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.